import java.io.PrintWriter;

public class Clazz {
	String class_name;
	Double change_frequency;
	Double internal_probability;

	public Clazz(String name) {
		class_name = name;
		change_frequency = 1.0;
	}

	public String getName() {
		return class_name;
	}

	public void increaseFrequency() {
		change_frequency++;
	}

	public String getAsString() {
		return class_name + "(" + change_frequency + ", " + internal_probability + ")";		
	}

	public void updateInternal(Double total_commits) {
		internal_probability = change_frequency / total_commits;
	}

	public boolean isCurrent(String fromRequirement) {
		return fromRequirement.equals(class_name);
	}

	public Double getCoChange() {
		return internal_probability;
	}

}
