import java.io.PrintWriter;
import java.util.ArrayList;

public class ClassList {
	ArrayList<Clazz> cList = new ArrayList<Clazz>();

	public void addClass(Clazz c) {
		cList.add(c);
	}

	public void increaseFrequency(String cname) {
		for (int i=0;i<cList.size();i++) {
			if (cList.get(i).getName().equals(cname)) {
				cList.get(i).increaseFrequency();
				break;
			}
		}
	}

	public boolean containsClass(String cname) {
		boolean found = false;
		for (int i=0;i<cList.size();i++) {
			if (cList.get(i).getName().equals(cname)) {
				found = true;
				break;
			}
		}
		return found;
	}

	public String getAsString() {		
		String s = "";
		for (int i=0;i<cList.size();i++) {
			s = s + cList.get(i).getAsString() + "#";
		}
		return s;
		
	}

	public void updateInternal(Double total_commits) {
		for (int i=0;i<cList.size();i++) {
			cList.get(i).updateInternal(total_commits);
		}
	}

	public int size() {
		return cList.size();
	}

	public Clazz get(int k) {
		return cList.get(k);
	}
}
